name: server_box
description: server status & toolbox app.
publish_to: 'none'
version: 1.0.1051+1051

environment:
  sdk: ">=3.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  provider: ^6.0.0
  hive_flutter: ^1.1.0
  dio: ^5.2.1
  easy_isolate: ^1.3.0
  intl: ^0.19.0
  highlight: ^0.7.0
  flutter_highlight: ^0.7.0
  code_text_field: ^1.1.0
  shared_preferences: ^2.1.1
  dynamic_color: ^1.6.6
  xml: ^6.4.2 # for parsing nvidia-smi
  flutter_displaymode: ^0.6.0
  flutter_background_service: ^5.0.5
  fl_chart: ^0.67.0
  wakelock_plus: ^1.2.4
  wake_on_lan: ^4.1.1+3
  flutter_adaptive_scaffold: ^0.1.10+2
  device_info_plus: ^10.1.0
  extended_image: ^8.2.1
  dartssh2:
    git:
      url: https://github.com/lollipopkit/dartssh2
      ref: no-etm
  circle_chart:
    git:
      url: https://github.com/lollipopkit/circle_chart
      ref: main
  xterm:
    git:
      url: https://github.com/lollipopkit/xterm.dart
      ref: v1.0.586
  computer:
    git:
      url: https://github.com/lollipopkit/dart_computer
      ref: v1.0.88
  watch_connectivity:
    git:
      url: https://github.com/lollipopkit/watch_connectivity
      ref: v1.0.85
  plain_notification_token:
    git:
      url: https://github.com/lollipopkit/plain_notification_token
      ref: v1.0.23
  webdav_client:
    git:
      url: https://github.com/lollipopkit/webdav_client
      ref: v1.0.66
  fl_lib:
    git:
      url: https://github.com/lppcg/fl_lib
      ref: v1.0.129

dependency_overrides:
  # dartssh2:
  #   path: ../dartssh2
  # xterm:
  #   path: ../xterm.dart
  # fl_lib:
  #   path: ../fl_lib
  # fl_build:
    # path: ../fl_build

dev_dependencies:
  flutter_native_splash: ^2.1.6
  hive_generator: ^2.0.0
  build_runner: ^2.3.2
  flutter_lints: ^3.0.0
  flutter_test:
    sdk: flutter
  fl_build:
    git:
      url: https://github.com/lppcg/fl_build.git
      ref: v1.0.41

flutter:
  generate: true

  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/app_icon.png
  #   - images/a_dot_burr.jpeg
  #   - images/a_dot_ham.jpeg
  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.
  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages
  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
flutter_native_splash:
  # This package generates native code to customize Flutter's default white native splash screen
  # with background color and splash image.
  # Customize the parameters below, and run the following command in the terminal:
  # flutter pub run flutter_native_splash:create
  # To restore Flutter's default white splash screen, run the following command in the terminal:
  # flutter pub run flutter_native_splash:remove
  # color or background_image is the only required parameter.  Use color to set the background
  # of your splash screen to a solid color.  Use background_image to set the background of your
  # splash screen to a png image.  This is useful for gradients. The image will be stretch to the
  # size of the app. Only one parameter can be used, color and background_image cannot both be set.
  color: "#ffffff"
  #background_image: "assets/background.png"
  # Optional parameters are listed below.  To enable a parameter, uncomment the line by removing 
  # the leading # character.
  # The image parameter allows you to specify an image used in the splash screen.  It must be a 
  # png file and should be sized for 4x pixel density.
  image: assets/app_icon.png

  # The color_dark, background_image_dark, and image_dark are parameters that set the background
  # and image when the device is in dark mode. If they are not specified, the app will use the
  # parameters from above. If the image_dark parameter is specified, color_dark or 
  # background_image_dark must be specified.  color_dark and background_image_dark cannot both be
  # set.
  color_dark: "#121212"
  #background_image_dark: "assets/dark-background.png"
  #image_dark: assets/splash-invert.png
  # The android, ios and web parameters can be used to disable generating a splash screen on a given 
  # platform.
  #android: false
  #ios: false
  #web: false
  # The position of the splash image can be set with android_gravity, ios_content_mode, and
  # web_image_mode parameters.  All default to center.
  #
  # android_gravity can be one of the following Android Gravity (see 
  # https://developer.android.com/reference/android/view/Gravity): bottom, center, 
  # center_horizontal, center_vertical, clip_horizontal, clip_vertical, end, fill, fill_horizontal,
  # fill_vertical, left, right, start, or top.
  #android_gravity: center
  #
  # ios_content_mode can be one of the following iOS UIView.ContentMode (see 
  # https://developer.apple.com/documentation/uikit/uiview/contentmode): scaleToFill, 
  # scaleAspectFit, scaleAspectFill, center, top, bottom, left, right, topLeft, topRight, 
  # bottomLeft, or bottomRight.
  #ios_content_mode: center
  #
  # web_image_mode can be one of the following modes: center, contain, stretch, and cover.
  #web_image_mode: center
  # To hide the notification bar, use the fullscreen parameter.  Has no affect in web since web 
  # has no notification bar.  Defaults to false.
  # NOTE: Unlike Android, iOS will not automatically show the notification bar when the app loads.
  #       To show the notification bar, add the following code to your Flutter app:
  #       WidgetsFlutterBinding.ensureInitialized();
  #       SystemChrome.setEnabledSystemUIOverlays([SystemUiOverlay.bottom, SystemUiOverlay.top]);
  #fullscreen: true
  # If you have changed the name(s) of your info.plist file(s), you can specify the filename(s) 
  # with the info_plist_files parameter.  Remove only the # characters in the three lines below,
  # do not remove any spaces:
  info_plist_files:
    - 'ios/Runner/Info-Debug.plist'
    - 'ios/Runner/Info-Profile.plist'
    - 'ios/Runner/Info-Release.plist'
  # To enable support for Android 12, set the following parameter to true.  Defaults to false.
  android12: true
